##
##  ethereum-geth.conf -- Ethereum Geth Server Configuration
##

[Eth]
NetworkId               = 4242
SyncMode                = "fast"
LightPeers              = 20
DatabaseCache           = 128
GasPrice                = 18000000000
EthashCacheDir          = "ethash"
EthashCachesInMem       = 2
EthashCachesOnDisk      = 3
EthashDatasetDir        = "@l_prefix@/var/ethereum/data/ethash"
EthashDatasetsInMem     = 1
EthashDatasetsOnDisk    = 2
EnablePreimageRecording = false
MinerThreads            = 8

[Eth.TxPool]
NoLocals                = false
Journal                 = "transactions.rlp"
Rejournal               = 3600000000000
PriceLimit              = 1
PriceBump               = 10
AccountSlots            = 16
GlobalSlots             = 4096
AccountQueue            = 64
GlobalQueue             = 1024
Lifetime                = 10800000000000

[Eth.GPO]
Blocks                  = 10
Percentile              = 50

[Shh]
MaxMessageSize          = 1048576
MinimumAcceptedPOW      = 2e-01

[Node]
DataDir                 = "@l_prefix@/var/ethereum/data"
IPCPath                 = "geth.ipc"
HTTPHost                = "127.0.0.1"
HTTPPort                = 8545
HTTPModules             = [ "net", "web3", "eth", "shh" ]
WSHost                  = "127.0.0.1"
WSPort                  = 8546
WSModules               = [ "net", "web3", "eth", "shh" ]

[Node.P2P]
MaxPeers                = 25
NoDiscovery             = true
DiscoveryV5Addr         = "127.0.0.1:30304"
BootstrapNodes          = [ @bootnodes@ ]
BootstrapNodesV5        = []
StaticNodes             = []
TrustedNodes            = []
ListenAddr              = "127.0.0.1:30303"
EnableMsgEvents         = false

[Dashboard]
Host                    = "127.0.0.1"
Port                    = 8080
Refresh                 = 3000000000

